$cd = Split-Path $MyInvocation.MyCommand.Path -Parent
# Configure the following according to your installation environment.
# $SharePath:Network pathname to share (\\ the IP address of the shared PC \ shared folder)
#           1.Directly specify
#           @@Example: "\\192.168.1.1\project"
#           2.If you receive network pathnames from the Panel Server
#           @@Specify $Args[0].
# $DriveName:drive letter
#           Example:"X"
# $User     :Connection username
# $Password :Password of the connected user
#           1.For direct input
#            $User     = "user"
#            $Password = "password"
#           2.If you use files in the security folder to make passwords invisible
#            $User     = Get-Content -path (Join-Path $cd "security\_user.file")
#            $Password = Get-Content -path (Join-Path $cd "security\_pwd.file") | ConvertTo-SecureString

$SharePath = $Args[0]
$DriveName = "X"
$User     = Get-Content -path (Join-Path $cd "security\_user.file")
$Password = Get-Content -path (Join-Path $cd "security\_pwd.file") | ConvertTo-SecureString

if($User -ne $null){
    $Cred = New-Object System.Management.Automation.PSCredential($User, $Password)
}

if(-not ((Get-PSDrive).DisplayRoot -contains $SharePath))
{
    if($UserName -ne ""){
        New-PSDrive -Name $DriveName -scope Global -PSProv FileSystem -Root $SharePath -Persist -Credential $Cred
    }else{
        New-PSDrive -Name $DriveName -scope Global -PSProv FileSystem -Root $SharePath -Persist
    }
}